// Copyright 1997
// College of Computer Science
// Northeastern University Boston MA 02115

// This software may be used for educational purposes as long as this copyright
// notice is retained at the top of all files

// Should this software be modified, the words "Modified from Original" must be
// included as a comment below this notice

// All publication rights are retained.  This software or its documentation may
// not be published in any media either in whole or in part.

///////////////////////////////////////////////////////////////////////////////

// RGBNames.h						48 color variations

///////////////////////////////////////////////////////////////////////////////

#ifndef RGBNAMES_H_
#define RGBNAMES_H_

// The identifier RGBNAMES_H_ is designed so that it is impossible to load both
// RGBNames.h and RGBNamesLarge.h

#include "Graphics.h"					// graphics functions & RGB definition

const RGB RGBaquamarine				( 127, 255, 212 );
const RGB RGBbeige					( 245, 245, 220 );
const RGB RGBbisque					( 255, 228, 196 );
const RGB RGBblack					(   0,   0,   0 );
const RGB RGBblue					(   0,   0, 255 );
const RGB RGBblueviolet				( 138,  43, 226 );
const RGB RGBbrown					( 165,  42,  42 );
const RGB RGBchartreuse				( 127, 255,   0 );
const RGB RGBchocolate				( 210, 105,  30 );
const RGB RGBcoral					( 255, 127,  80 );
const RGB RGBcyan					(   0, 255, 255 );
const RGB RGBfirebrick				( 178,  34,  34 );
const RGB RGBforestgreen			(  34, 139,  34 );
const RGB RGBgold					( 255, 215,   0 );
const RGB RGBgoldenrod				( 218, 165,  32 );
const RGB RGBgray					( 190, 190, 190 );
const RGB RGBgreen					(   0, 255,   0 );
const RGB RGBgreenyellow			( 173, 255,  47 );
const RGB RGBhoneydew				( 240, 255, 240 );
const RGB RGBhotpink				( 255, 105, 180 );
const RGB RGBindianred				( 205,  92,  92 );
const RGB RGBkhaki					( 240, 230, 140 );
const RGB RGBlawngreen				( 124, 252,   0 );
const RGB RGBlimegreen				(  50, 205,  50 );
const RGB RGBmagenta				( 255,   0, 255 );
const RGB RGBmaroon					( 176,  48,  96 );
const RGB RGBmidnightblue			(  25,  25, 112 );
const RGB RGBorange					( 255, 165,   0 );
const RGB RGBorangered				( 255,  69,   0 );
const RGB RGBorchid					( 218, 112, 214 );
const RGB RGBpink					( 255, 192, 203 );
const RGB RGBplum					( 221, 160, 221 );
const RGB RGBpurple					( 160,  32, 240 );
const RGB RGBred					( 255,   0,   0 );
const RGB RGBsalmon					( 250, 128, 114 );
const RGB RGBsandybrown				( 244, 164,  96 );
const RGB RGBseagreen				(  46, 139,  87 );
const RGB RGBsienna					( 160,  82,  45 );
const RGB RGBskyblue				( 135, 206, 235 );
const RGB RGBtan					( 210, 180, 140 );
const RGB RGBtomato					( 255,  99,  71 );
const RGB RGBturquoise				(  64, 224, 208 );
const RGB RGBviolet					( 238, 130, 238 );
const RGB RGBvioletred				( 208,  32, 144 );
const RGB RGBwheat					( 245, 222, 179 );
const RGB RGBwhite					( 255, 255, 255 );
const RGB RGByellow					( 255, 255,   0 );
const RGB RGByellowgreen			( 154, 205,  50 );

#endif // RGBNAMES_H_